<div style="margin-bottom: 15px; margin-top: 10px;">
    <h5>
       <span jhiTranslate="mpmApp.customerRequestItem.home.title">Customer Request Items</span>
    </h5>
    <p-dataTable
        [value]="customerRequestItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idRequestItem"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['customer-request-item-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.customerRequestItem.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.itemDescription'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.itemDescription}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qty | number: '.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.unitPrice'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.unitPrice | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.idFrame'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idFrame}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.idMachine'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idMachine}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.sequence'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.sequence | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.request'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.requestId">
                    <a [routerLink]="['../request', rowData.requestId  ]" >{{rowData.requestId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.product'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.productId">
                    <a [routerLink]="['../product', rowData.productId  ]" >{{rowData.productName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.feature'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.featureId">
                    <a [routerLink]="['../feature', rowData.featureId  ]" >{{rowData.featureDescriptionription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.customerRequestItem.customer'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.customerId">
                    <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../customer-request-item', rowData.idRequestItem]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [routerLink]="['/', { outlets: { popup: 'customer-request-item/'+ rowData.idRequestItem + '/edit'} }]"
                        replaceUrl="true"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idRequestItem)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>